Bug 95292 - [IVB,SKL] vulkan: stride/tiling issue with vkCmdCopyBufferToImage from larger source buffer into destination image
Summary: [IVB,SKL] vulkan: stride/tiling issue with vkCmdCopyBufferToImage from larger...
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Vulkan/intel (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Nanley Chery
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-05-06 05:53 UTC by Matthew Waters
Modified: 2016-05-13 21:11 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
vkCmdCopyBufferToImage failure (2.92 KB, image/png)
2016-05-06 05:53 UTC, Matthew Waters
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Waters 2016-05-06 05:53:18 UTC
Created attachment 123518 [details]
vkCmdCopyBufferToImage failure

When copying from a larger buffer to a smaller image, there is some combination of stride/tiling mismatches that results in bad output.

The attached screenshot is using a 385x240 BGRA VkBuffer as the source and a 320x240 VkImage (from the swapchain) as the destination.  Using anything <= 384 for the width of the source VkBuffer doesn't exhibit this issue anything greater than 384 does.  Changing the height of the source VkBuffer has no effect on the stride mismatch.

Using:
- mesa from git be5010c
- libdrm 2.4.67-2
- Linux kernel 4.5.1-1-ARCH x86_64
- Both Ivy Bridge and Skylake chips
- https://cgit.freedesktop.org/gstreamer/gst-plugins-bad/tree/ext/vulkan

Test application:
gst-launch-1.0 videotestsrc ! video/x-raw,width=385 ! vulkanupload ! vulkansink
Comment 1 Nanley Chery 2016-05-09 19:28:38 UTC
Thank you for the bug report. Does the following patch fix the issue?
https://patchwork.freedesktop.org/patch/86194/
Comment 2 Matthew Waters 2016-05-13 11:18:36 UTC
(In reply to Nanley Chery from comment #1)
> Thank you for the bug report. Does the following patch fix the issue?
> https://patchwork.freedesktop.org/patch/86194/

I can confirm that this works.

T-b from Matthew Waters <matthew@centricular.com>
Comment 3 Nanley Chery 2016-05-13 21:11:09 UTC
The fix has been pushed upstream.


bug/show.html.tmpl processed on Jan 22, 2017 at 22:22:19.
(provided by the Example extension).